de.esprit.netsuite.server.lock

## Interface ResourceLockHolder

- All Known Implementing Classes:
    ABOAccessInfoAgent, ABOFetchAgent, ABOInfoAgent, AbstractCommonAgent, AbstractLockableAgent, AbstractTestAgent, AbstractTextViewAgent, ChangePasswordAgent, ClientMessageAgent, CoServerExecuteAgent, CoServerFileTransferAgent, CoServerFileTransferCancelAgent, CoServerInfoAgent, DeleteDirectoryAgent, DeleteFileAgent, EverBlockingSyncAgent, EverSleepingAsyncAgent, EverWorkingAsyncAgent, ExFileSetTransferAgent, ExFileTransferAgent, ExMixedFileTransferAgent, ExStreamDownloadAgent, FailingAgent, FileEditAgent, FileInfoAgent, FileListAgent, FileReadAgent, FileStoreAgent, FileStreamDownloadAgent, FileTransferAgent, GenerateLogMessagesAgent, HeavyLoadAgent, HeavyLoggingAgent, LockAcquireAgent, LockDataSourcePoolAgent, LockInfoAgent, LogDirListAgent, LogFileListAgent, MemoryEatingAgent, MessageBurstAgent, NoOperationAgent, NoReturnAsyncAgent, PartialResultAsyncAgent, PartialResultSplitAgent, PartialResultSyncAgent, PurgeDirectoryAgent, ReadLogFileAgent, RemoteTasksInfoAgent, RoundTripAgent, SelectDataSourceAgent, SendServerMessageAgent, ServerMemoryCleanupAgent, ServerParamsInfoAgent, ServerStartupInfoAgent, ServerStatisticsInfoAgent, SessionInfoAgent, TestServerExceptionAgent, ThreadPoolInfoAgent, TimeCompareAgent

      public interface ResourceLockHolder

  Defines the implementing class to be a ResourceLock holder
  Author:
    Rainer Buesch
  See Also:
    `ResourceLock`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceLock` | `getLock()` Returns the lock that is hold
    `SessionId` | `getSessionId()` Returns sessionId of the lock-holder
    `boolean` | `hasLock()` Tells whether this instance contains a lock
    `void` | `releaseLock()` Releases the lock on the server
    `void` | `setLock(ResourceLock lock)` Sets the lock in this LockHolder instance

- - ### Method Detail

    - #### hasLock

          boolean hasLock()

      Tells whether this instance contains a lock

    - #### getLock

          ResourceLock getLock()

      Returns the lock that is hold

    - #### setLock

          void setLock(ResourceLock lock)

      Sets the lock in this LockHolder instance

    - #### getSessionId

          SessionId getSessionId()

      Returns sessionId of the lock-holder

    - #### releaseLock

          void releaseLock()
                           throws NotLockOwnerException

      Releases the lock on the server
      Throws:
        `NotLockOwnerException`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.